Miscellaneous diffs (minor) for trunk

Bug #1545333 reported by su_v on 2016-02-13
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
Low
su_v

Bug Description

Using this report to upload a few small diffs used with local builds of 0.91+devel (nothing relevant, really).

su_v (suv-lp) wrote :

Add new generated file 'inkscape.appdata.xml' to .bzrignore (for in-tree builds).

su_v (suv-lp) wrote :

Remove duplicate entry 'filtereffects' from preferences skeleton.

su_v (suv-lp) wrote :

Convenience option (default: ON) for cmake builds to enable SVG2 and experimental LPEs

Enabled with autotools-based build by default for trunk:
https://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/view/head:/configure.ac#L107

su_v (suv-lp) wrote :

Remove obsolete [1] poppler entries from cmake's template for config.h

[1] See recent commits 14570-14574:
https://bazaar.launchpad.net/~inkscape.dev/inkscape/trunk/changes/14574

jazzynico (jazzynico) on 2016-03-14
Changed in inkscape:
importance: Undecided → Low
milestone: none → 0.92
status: New → In Progress
jazzynico (jazzynico) wrote :

Diffs from comment #1 and #2:
  - 1545333-misc-add-inkscape.appdata.xml-to-bzrignore.diff
  - 1545333-misc-remove-duplicate-entry-filtereffects-prefs-skeleton.diff
applied to the trunk, rev. 14705.

Can't test cmake related patch (still using the old tools....).

Thanks ~suv!

tags: added: build
jazzynico (jazzynico) wrote :

Diff from comment #4 (1545333-misc-cmake-config.h-remove-obsolete-poppler-entries.diff) applied to the trunk rev. 14953.
Diff from comment #3 (1545333-misc-cmake-enable-SVG2-and experimental-features-v2.diff) applied to the trunk rev. 14954.

Thanks ~suv!

Changed in inkscape:
assignee: nobody → su_v (suv-lp)
status: In Progress → Fix Committed

On 2016-06-05 09:16 (+0200), jazzynico wrote:
> Diff from comment #4 (1545333-misc-cmake-config.h-remove-obsolete-poppler-entries.diff) applied to the trunk rev. 14953.
> Diff from comment #3 (1545333-misc-cmake-enable-SVG2-and experimental-features-v2.diff) applied to the trunk rev. 14954.

Based on the current state of trunk being half trunk / half release
branch: above diffs were written for trunk (unstable development HEAD),
and need to be reconsidered (at least the one for LPEs) for upcoming
0.92 once the stable release branch is created (very likely the project
does not want experimental LPEs to be enabled in a stable release ever).

I'm not sure how the release process will proceed this time (without bug
hunt) - let me know if there is a need for separate reports tracking
what changes will be required once stable 0.92.x has branched (there
will be a repetition e.g. of bug #619903, once again).

jazzynico (jazzynico) wrote :

> let me know if there is a need for separate reports tracking what changes will be required once stable 0.92.x has branched

Yes, I think we should keep a separate report to not forget to disable it for 0.92.

Thanks for noticing it.

su_v (suv-lp) wrote :

On 2016-06-05 09:48 (+0200), jazzynico wrote:
>> let me know if there is a need for separate reports tracking what
>> changes will be required once stable 0.92.x has branched
>
> Yes, I think we should keep a separate report to not forget to disable
> it for 0.92.

Forgot to mentioned as well: Whether or not to enable the Mesh tool
likely needs a separate discussion (outside the bug tracker?):
- is the format for meshes in SVG2 finalized/stable now?
- is the tool considered sufficiently stable and feature-complete to be
enabled in a _stable_ release by default?

(the few times I tested the mesh tool lately it still seemed rather
unstable (e.g. crash on redo), with lacking basic features like support
for undo, duplicate, copy&paste etc.)

su_v (suv-lp) wrote :

On 2016-06-05 09:48 (+0200), jazzynico wrote:
>> let me know if there is a need for separate reports tracking what
>> changes will be required once stable 0.92.x has branched
>
> Yes, I think we should keep a separate report to not forget to disable
> it for 0.92.

Follow-up report filed as
* Bug #1589340 “Disable experimental/unstable features in release branch
(0.92.x) in all build systems”
  https://bugs.launchpad.net/inkscape/+bug/1589340

Bryce Harrington (bryce) on 2017-01-10
Changed in inkscape:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers